<?php
/**
 * The template for displaying archive pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package petitspapiers2017
 */

get_header(); ?>

<?php //Détecter la catégorie
	if(is_category()) {
		$category = get_query_var('cat');
		$current_cat = get_category($cat);
		//echo 'The slug is ' . $current_cat->slug;
	}
?>

	<div id="primary" class="content-area">
		<div class="wrapper
			<?php 
			echo ' '.$current_cat->slug.' ';
			if($current_cat->slug != 'blog'){echo ' wrapper_articles';}
			?>
		">
			<main id="main" class="site-main" role="main">

			<?php
			if ( have_posts() ) : ?>

				<header class="page-header">
					<h1><?php single_cat_title(); ?></h1>

					<?php the_archive_description( '<h4 class="archive-description">', '</h4>' ); ?>
				</header><!-- .page-header -->

				<?php

				$cat = get_queried_object();
				$args = array('parent' => $cat->term_id);
				$categories = get_categories( $args );
				if ($categories){

					foreach($categories as $category) { 
						?>
						<div class="vignette-container">
							<article>

									<a href="<?php echo $category->slug; ?>"
										class="vignette-lien"
										style="background-image:url(<?php echo z_taxonomy_image_url($category->term_id); ?>);">

										<div class="vignette-infos">
											<h2 class="entry-title">
												<!--<small>Catégorie:<br/></small>-->
												<?php echo $category->name; ?>
												<?php
													//echo 'Category: <a href="' . get_category_link( $category->term_id ) . '" title="' . sprintf( __( "View all posts in %s" ), $category->name ) . '" ' . '>' . $category->name.'</a>';
												    //echo 'Description:'. $category->description;
												    //echo 'Post Count: '. $category->count;
												?>
											</h2>
										</div>
									</a>
								
							</article><!-- #post -->
						</div>			
						<?php		
					/*
						get_template_part( 'template-parts/content', 'catpola' );
					    echo '<p>Category: <a href="' . get_category_link( $category->term_id ) . '" title="' . sprintf( __( "View all posts in %s" ), $category->name ) . '" ' . '>' . $category->name.'</a> </p> ';
					    echo '<p> Description:'. $category->description . '</p>';
					    echo '<p> Post Count: '. $category->count . '</p>';  */
					}

				} else {
					/* Start the Loop */
					while ( have_posts() ) : the_post();

						if($current_cat->slug == 'blog'){
							if(has_category('vente')){
								get_template_part( 'template-parts/content', 'single' );
							}else{
								get_template_part( 'template-parts/content', 'blog' );
							}
						}else{
							get_template_part( 'template-parts/content', 'polaroids' );	
						}

					endwhile;
				}

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif; ?>

			</main><!-- #main -->
		</div><!--.wrapper-->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
