<?php
/**
 * The template for displaying posts in the Image post format
 *
 * @package WordPress
 * @subpackage Twenty_Thirteen
 * @since Twenty Thirteen 1.0
 */
?>
<div class="vignette-container">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

			<a href="<?php the_permalink(); ?>"
				class="vignette-lien"
				style="background-image:url(
				<?php
				$thumb_id = get_post_thumbnail_id();
				$thumb_url = wp_get_attachment_image_src($thumb_id,'thumbnail-size', true);
				echo $thumb_url[0];
				?>);" rel="bookmark">

				<div class="vignette-infos">
					<?php
						$prix = get_field('prix');
						if($prix){
							echo '<h2 class="entry-title" style="height:1rem; white-space:nowrap;">';
							the_title();
							echo '</h2><h2 class="prix">'.$prix.'</h2>';
						}else{
							echo '<h2 class="entry-title">';
							the_title();
							echo '</h2>';
						}
					?>


					
					
						<?php
						$etiquettes = get_the_tags();
						if ($etiquettes) {
							echo '<p class="vignette-details">';
							foreach($etiquettes as $tag) {
							echo '<span class="etiquette tag-'.$tag->term_id.'">'.$tag->name.'</span>'; 
							}
							echo "</p>";
						} ?>
					
				</div>
			</a>
		
	</article><!-- #post -->
</div>
