<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package petitspapiers2017
 */

?>

<?php
	if(is_category()) {
		$category = get_query_var('cat');
		$current_cat = get_category($cat);
	}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="entry-content">

		<div id="colonnes_single">
			
			<div id="colonne_details">
				<header class="entry-header">
					<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
				</header><!-- .entry-header -->
				<?php
					$prix = get_field('prix');
					$code = get_field('code');
					$support = get_field('support');
					$technique = get_field('technique');
					$details = get_field('details');

					if($prix && $code){
						echo '<h4>Prix: '.$prix.'<br/>Code produit: '.$code.'</h4>';
					}elseif($prix){
						echo '<h4>Prix: '.$prix.'</h4>';
					}elseif($code){
						echo '<h4>Code produit: '.$code.'</h4>';
					}

					if($support){
						echo '<h3>'.$support.'</h3>';
					}
					if($technique){
						echo '<h3>'.$technique.'</h3>';
					}

					if($details){
						echo '<p>'.$details.'</p>';
					}
				?>
			</div><!--/#colonne_details-->

			<div id="colonne_images">
				<?php
					$images = get_field('images');
					if($images){
						echo $images;
					}
				?>
			</div><!--/#colonne_images-->

		</div><!--/#colonnes_article-->

		<div id="contenu_dessous">
			<?php the_content(); ?>
		</div><!--/#colonne_images-->

	</div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) : ?>
		<footer class="entry-footer">
			<?php
				edit_post_link(
					sprintf(
						/* translators: %s: Name of current post */
						esc_html__( 'Edit %s', 'petitspapiers2017' ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					),
					'<span class="edit-link">',
					'</span>'
				);
			?>
		</footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-## -->
