<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package petitspapiers2017
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<div class="wrapper">
			<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) : the_post();

				if(!has_category('vente')){
					get_template_part( 'template-parts/content', 'blog' );
				}else{
					get_template_part( 'template-parts/content', 'single' );
				}

			endwhile; // End of the loop.
			?>

			</main><!-- #main -->
		</div><!-- .wrapper -->
	</div><!-- #primary -->

<?php
get_sidebar();
get_footer();
